Sentis-ToF-M100 API 1.0.0 API_for_using_the_Bluetechnix_Sentis_ToF_M100_camera

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Macros Groups Pages
Data Fields
T_SENTIS_DATA_HEADER Struct Reference

The structure contains all members of the frame header. More...

`#include <apitypes.h>`

## Data Fields
unsigned short | reserved1
unsigned short | headerVersion
unsigned short | imageWidth
unsigned short | imageHeight
unsigned char | nofChannels
unsigned char | bytesPerPixel
unsigned short | imageFormat
unsigned | timestamp
unsigned short | frameCounter
char | reserved2 [8]
unsigned char | mainTemp
unsigned char | ledTemp
unsigned short | firmwareVersion
char | reserved3 [30]
unsigned short | headerCrc16

## Detailed Description

The structure contains all members of the frame header.

It will be used for receiving and reading the configuration of the image frame within STSgetData.

## Field Documentation

unsigned char T_SENTIS_DATA_HEADER::bytesPerPixel

Number of bytes per pixel.

unsigned short T_SENTIS_DATA_HEADER::firmwareVersion

Version of the firmware loaded in the camera.

unsigned short T_SENTIS_DATA_HEADER::frameCounter

Frame counter

unsigned short T_SENTIS_DATA_HEADER::headerCrc16

Crc16 value of the header

unsigned short T_SENTIS_DATA_HEADER::headerVersion

Reserved short.

unsigned short T_SENTIS_DATA_HEADER::imageFormat

Format of the image data. Value of the imageFormat register.

unsigned short T_SENTIS_DATA_HEADER::imageHeight

Height of the image.

unsigned short T_SENTIS_DATA_HEADER::imageWidth

Width of the image

unsigned char T_SENTIS_DATA_HEADER::ledTemp

Temperature of the led lamp.

unsigned char T_SENTIS_DATA_HEADER::mainTemp

Temperature of the main board.

unsigned char T_SENTIS_DATA_HEADER::nofChannels

Number of channels.

unsigned short T_SENTIS_DATA_HEADER::reserved1

Reserved 2 bytes.

char T_SENTIS_DATA_HEADER::reserved2[8]

Reserved 8 bytes

char T_SENTIS_DATA_HEADER::reserved3[30]

Reserved 30 bytes

unsigned T_SENTIS_DATA_HEADER::timestamp

Unix timestamp

The documentation for this struct was generated from the following file:

- include/apitypes.h